Bug 28068 - coturn new security issue CVE-2020-26262
Summary: coturn new security issue CVE-2020-26262
Status: NEW
Alias: None
Product: Mageia
Classification: Unclassified
Component: Security (show other bugs)
Version: 7
Hardware: All Linux
Priority: Normal normal
Target Milestone: ---
Assignee: QA Team
QA Contact: Sec team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-11 23:38 CET by David Walser
Modified: 2021-01-13 19:11 CET (History)
3 users (show)

See Also:
Source RPM: coturn-4.5.1.3-1.mga8.src.rpm
CVE:
Status comment:


Attachments

Description David Walser 2021-01-11 23:38:27 CET
An advisory has been issued today (January 11):
https://www.openwall.com/lists/oss-security/2021/01/11/3

The issue is fixed upstream in 4.5.2.

We should probably consider dropping this, as it's highly specialized stuff and has no maintainer.

Mageia 7 is also affected.
David Walser 2021-01-11 23:38:41 CET

Whiteboard: (none) => MGA7TOO
Status comment: (none) => Fixed upstream in 4.5.2

Comment 1 Aurelien Oudelet 2021-01-12 14:46:57 CET
Hi, thanks for reporting this.
Assigned to the package maintainer.

(Please set the status to 'assigned' if you are working on it)

CC: (none) => mitya, ouaurelien
Assignee: bugsquad => pkg-bugs

Comment 2 Nicolas Lécureuil 2021-01-12 16:40:36 CET
Freeze push asked for cauldron

CC: (none) => mageia

Nicolas Lécureuil 2021-01-12 18:16:41 CET

Status comment: Fixed upstream in 4.5.2 => (none)
Whiteboard: MGA7TOO => (none)
Version: Cauldron => 7

Nicolas Lécureuil 2021-01-12 18:17:04 CET

Assignee: pkg-bugs => qa-bugs

Comment 3 David Walser 2021-01-12 18:39:48 CET
Advisory:
========================

Updated coturn package fixes security vulnerability:

When sending a CONNECT request with the XOR-PEER-ADDRESS value of 0.0.0.0, a
malicious user would be able to relay packets to the loopback interface.
Additionally, when coturn is listening on IPv6, which is default, the loopback
interface can also be reached by making use of either [::1] or [::] as the peer
address (CVE-2020-26262).

If updating is not possible, the setting --denied-peer-ip=0.0.0.0 can mitigate
this issue.

The coturn package has been patched to fix this issue.

References:
https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-26262
https://github.com/coturn/coturn/security/advisories/GHSA-6g6j-r9rf-cm7p
========================

Updated packages in core/updates_testing:
========================
coturn-4.5.2-1.4.mga7

from coturn-4.5.2-1.4.mga7.src.rpm
Comment 4 David Walser 2021-01-13 18:52:37 CET
Debian has issued an advisory for this on January 11:
https://www.debian.org/security/2021/dsa-4829
Comment 5 David Walser 2021-01-13 19:11:51 CET
Ubuntu has issued an advisory for this on January 11:
https://ubuntu.com/security/notices/USN-4690-1

Note You need to log in before you can comment on or make changes to this bug.